[Bug 36661] Yudit: AWT Problem

Francois-Denis Gonthier neumann at lostwebsite.net
Sun Mar 26 04:45:55 UTC 2006


Public bug report changed:
https://launchpad.net/malone/bugs/36661

Comment:
Yes you are right that it is this line that generates the error message, but, that's not really where the problem lies.  Let me explain what is the thing missing.

when the configure script is run in the package autobuilders, you'll see this line:

checking for X... no

That is obviously not good for an X11 app :)  This is rather uncommon too, because most of the other configure scripts will stop after this.  

I've tried to build this package in a Dapper pbuilder (that's like testing the package on a freshly installed Dapper system), and in the config.log, I saw that the check for X failed because it was in fact looking for libXt.

libxt-dev is the package that was missing in the build dependencies of this source package.  Build-deps are specified in the file named 'control' in the debian directory, and libxt-dev need to be added at the end of this line of that file:

Build-Depends: debhelper (>=4), x-dev, libx11-dev, gettext, **libxt-dev**

This is totally trivial to fix.  A MOTU can probably do that and upload the fixed package within in a few minutes, so don't worry, it'll be fixed.




More information about the universe-bugs mailing list